ABtil := Block[{mu,nu},
ExpandIndices[ - Bmunu[mu,nu] Btilde[mu,nu] ALP/fa , FlavorExpand -> SU2D]
];

AWtil := Block[{mu,nu},
ExpandIndices[ - 2 * Tr[Wmunumatrix[mu,nu].Wtildematrix[mu,nu]] ALP/fa , FlavorExpand -> SU2D]
];

AGtil := Block[{mu,nu,ro,sig,aa},
ExpandIndices[ - Eps[mu,nu,ro,sig]/2 FS[G,mu,nu,aa] FS[G,ro,sig,aa] ALP/fa , FlavorExpand -> SU2D]
];

A1 := Block[{mu,nu},
ExpandIndices[ I/(4*Pi) Btilde[mu,nu] Tr[Ts.Vmu[mu]] del[ALP, nu]/fa Fh[a1,b1] , FlavorExpand -> SU2D]
];

A2 := Block[{mu,nu},
ExpandIndices[ I/(4*Pi)  Tr[Wtildematrix[mu,nu].Vmu[mu]] del[ALP,nu]/fa Fh[a2,b2], FlavorExpand -> SU2D]
];

A3 := Block[{mu,nu},
ExpandIndices[ 1/(4*Pi)  Bmunu[mu,nu] del[ALP,mu]/fa del[Fh[a3,b3],nu] , FlavorExpand -> SU2D]
];

A4 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Vmu[mu].Vmu[nu]] Tr[Ts.Vmu[mu]] del[ALP,nu]/fa  , FlavorExpand -> SU2D]
];

A5 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2)  Tr[Vmu[mu].Vmu[mu]] Tr[Ts.Vmu[nu]] del[ALP,nu]/fa , FlavorExpand -> SU2D]
];

A6 := Block[{mu,nu},
ExpandIndices[ 1/(4*Pi)  Tr[Ts.(Wmunumatrix[mu,nu].Vmu[mu]-Vmu[mu].Wmunumatrix[mu,nu])] del[ALP,nu]/fa Fh[a6,b6] , FlavorExpand -> SU2D]
];

A7 := Block[{mu,nu},
ExpandIndices[ I/(4*Pi) Tr[Ts.Wtildematrix[mu,nu]] Tr[Ts.Vmu[mu]] del[ALP,nu]/fa Fh[a7,b7]  , FlavorExpand -> SU2D]
];

A8 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[(Vmu[nu].Ts-Ts.Vmu[nu]).DmuVnu[mu,mu]] del[ALP,nu]/fa Fh[a8,b8]  , FlavorExpand -> SU2D]
];

A9 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] Tr[Ts.Vmu[mu]] Tr[Ts.Vmu[nu]] del[ALP,nu]/fa  , FlavorExpand -> SU2D]
];

A10 := Block[{mu,nu},
ExpandIndices[ 1/(4*Pi) Tr[Ts.Wmunumatrix[mu,nu]] del[ALP,mu]/fa del[Fh[a10,b10],nu]  , FlavorExpand -> SU2D]
];

A11 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] del[ del[ ALP, nu], nu]/fa del[Fh[a11,b11],mu]  , FlavorExpand -> SU2D]
];

A12 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] del[ del[ ALP, nu], mu]/fa del[Fh[a12,b12], nu]  , FlavorExpand -> SU2D]
];

A13 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] del[ ALP,mu]/fa del[del[Fh[a13,b13], nu], nu] , FlavorExpand -> SU2D]
];

A14 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] del[ ALP,nu]/fa del[del[Fh[a14,b14], nu], mu]  , FlavorExpand -> SU2D]
];

A15 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] del[ ALP,mu]/fa del[Fh[a15,0], nu] del[Fh[a15prime,0], nu]  , FlavorExpand -> SU2D]
];

A16 := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2) Tr[Ts.Vmu[mu]] del[ ALP,nu]/fa del[Fh[a16,0], mu] del[Fh[a16prime,0], nu]  , FlavorExpand -> SU2D]
];


(** the terms ~ v in the operators A2D and A17 are defined in the fermionic form (using EOMs) **)

Leom0 := Block[{sp1,sp2,ff1,ff2,ff3,aa},
- I vev * Sqrt[2] (ProjP[sp1,sp2])\
   (yd[ff2, ff3] CKM[ff1, ff2] dqbar[sp1,ff1,aa].dq[sp2,ff3,aa] Fh[aD,bD]+
    yl[ff1, ff3] lbar[sp1,ff1].l[sp2,ff3] Fh[aL,bL]- 
    yu[ff1, ff2] uqbar[sp1,ff1,aa].uq[sp2,ff2,aa] Fh[aU,bU])];

A17f := Block[{nu},
ExpandIndices[ 
1/(16* Pi^2* vev^2)  Leom0 del[del[ALP,nu],nu]/fa + HC[1/(16* Pi^2 * vev^2)  Leom0 del[del[ALP,nu],nu]/fa],
 FlavorExpand -> SU2D]
];

A2Df := ExpandIndices[ Leom0 ALP/fa + HC[ Leom0 ALP/fa], FlavorExpand -> SU2D];


(** the Higgs couplings in A2D and A17 are still in the bosonic form **)

A17h := Block[{mu,nu},
ExpandIndices[ I/(16* Pi^2)  Tr[Ts.Vmu[mu]] del[ del[del[ALP, nu], nu], mu]/fa (Fh[a17,b17]-1) , FlavorExpand -> SU2D]
];

A2Dh := Block[{mu},
ExpandIndices[ I vev^2 Tr[Ts.Vmu[mu]] (1/fa del[ALP,mu]) (Fh[a2D,b2D]-1), FlavorExpand -> SU2D]
];



LAlp1 := CBtil ABtil + CWtil AWtil + CGtil AGtil + C1 A1 + C2 A2 + C3 A3 + C4 A4 + C5 A5 + C6 A6 + C7 A7 + C8 A8 + C9 A9 + C10 A10 + C11 A11 + C12 A12 + C13 A13 + C14 A14 + C15 A15 + C16 A16 + C17 ( A17f + A17h ) + C2D (A2Df + A2Dh);

